options(stringsAsFactors=FALSE, scipen=200)
library(magrittr)
library(dplyr)

# 创建输出文件夹
dir.create('../output', showWarnings=FALSE)
dir.create('../output/data', showWarnings=FALSE)
dir.create('../output/picture', showWarnings=FALSE)

#--- load data ---#
# expression profile
EXP = read.table('../../../step1--ImmucellAI/output/data/GSE66360.txt', sep='\t', header=TRUE)

#--- data prepare ---#
# add colname
colnames(EXP)[1] = 'Gene symbol'
# EXP
write.table(EXP[-1, ], '../output/data/GEO-EXP.txt', sep='\t', quote=FALSE, row.names=FALSE)

# load data
source('./assist/Cibersort.R')
LM22.file = './assist/immune-cell-gene.txt'
GEO_EXP.file = '../output/data/GEO-EXP.txt'

# cibersort
GEO_TME.results = CIBERSORT(LM22.file ,GEO_EXP.file, perm=50, QN=F)
write.csv(GEO_TME.results, '../output/data/GEO-cibersort.csv')
